Bug 97074 - CCM Error creating a form
CCM Error creating a form
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: documentation (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vadim Nasardinov
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-09 18:52 EDT by Jon Orris
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 13:52:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-06-09 18:52:43 EDT
Description of problem:
@32182

Go to the form section. Select create form, fill out title & name submit. Get error.

CCM issue report code: goodeats.boston.redhat.com:8080:25788101:f5aec51526

-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code:
goodeats.boston.redhat.com:8080:25788101:f5aec51526 -*-*-*-
-*-*-*- Message:  (root cause: ERROR:  Relation 'vcx_txns' does not have
attribute 'sort_key'
) -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,text/css,*/*;q=0.1
Accept-Charset: ISO-8859-1, utf-8;q=0.66, *;q=0.66
Accept-Encoding: gzip, deflate, compress;q=0.9
Accept-Language: en-us, en;q=0.66, de;q=0.33
Connection: keep-alive
Content-Length: 2464
Content-Type: multipart/form-data;
boundary=---------------------------18042893838469308861681692777
Cookie: ad_user_login=9!1149796560118!COsLjESkYIXlS2ICARlyHg==;
JSESSIONID=atjxIn2h8Qa8
Host: goodeats.boston.redhat.com:8080
Keep-Alive: 300
Referer: http://goodeats.boston.redhat.com:8080/ccm/forms/admin/index.jsp
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2a) Gecko/20020913

-*-*-*- Section: Cookies -*-*-*-
ad_user_login: 9!1149796560118!COsLjESkYIXlS2ICARlyHg== (expires: -1)
JSESSIONID: atjxIn2h8Qa8 (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
com.arsdigita.persistence.PersistenceException:  (root cause:
com.arsdigita.persistence.proto.engine.rdbms.RDBMSEngine$3: ERROR:  Relation
'vcx_txns' does not have attribute 'sort_key'
)
	at com.arsdigita.persistence.DataObjectImpl.save(DataObjectImpl.java:365)
	at com.arsdigita.domain.DomainObject.save(DomainObject.java:315)
	at com.arsdigita.cms.ui.authoring.PageCreate.process(PageCreate.java:122)
	at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:449)
	at com.arsdigita.bebop.FormSection$4.process(FormSection.java:423)
	at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:478)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:345)
	at com.arsdigita.bebop.Form.process(Form.java:431)
	at com.arsdigita.bebop.MetaForm.process(MetaForm.java:164)
	at com.arsdigita.bebop.Form.respond(Form.java:276)
	at com.arsdigita.bebop.PageState.respond(PageState.java:348)
	at com.arsdigita.bebop.Page.process(Page.java:696)
	at com.arsdigita.bebop.Page.process(Page.java:678)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:267)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:71)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:275)
	at com.arsdigita.cms.dispatcher.CMSDispatcher.dispatch(CMSDispatcher.java:257)
	at
com.arsdigita.cms.dispatcher.CMSDispatcher.chainedDispatch(CMSDispatcher.java:337)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:148)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:113)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:128)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:104)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:238)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:212)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:198)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)
Root cause: 
com.arsdigita.persistence.proto.engine.rdbms.RDBMSEngine$3: ERROR:  Relation
'vcx_txns' does not have attribute 'sort_key'

	at
com.arsdigita.persistence.proto.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:477)
	at
com.arsdigita.persistence.proto.engine.rdbms.RDBMSEngine.flush(RDBMSEngine.java(Compiled
Code))
	at
com.arsdigita.persistence.proto.engine.rdbms.RDBMSEngine.flush(RDBMSEngine.java(Compiled
Code))
	at com.arsdigita.persistence.proto.Session.flushInternal(Session.java(Compiled
Code))
	at com.arsdigita.persistence.proto.Session.flush(Session.java(Compiled Code))
	at com.arsdigita.persistence.proto.Cursor.next(Cursor.java:95)
	at com.arsdigita.persistence.proto.Session.retrieve(Session.java:56)
	at com.arsdigita.persistence.Session.retrieve(Session.java:535)
	at com.arsdigita.x.versioning.Event.getDataObject(Event.java:67)
	at
com.arsdigita.x.versioning.DataObjectChange.recordAssocEvent(DataObjectChange.java:110)
	at
com.arsdigita.x.versioning.DataObjectChange.recordEvent(DataObjectChange.java:90)
	at
com.arsdigita.x.versioning.VersioningEventProcessor$EventSwitch.onAdd(VersioningEventProcessor.java:106)
	at com.arsdigita.persistence.proto.AddEvent.dispatch(AddEvent.java:28)
	at
com.arsdigita.x.versioning.VersioningEventProcessor.write(VersioningEventProcessor.java:66)
	at com.arsdigita.persistence.proto.Session.flushInternal(Session.java(Compiled
Code))
	at com.arsdigita.persistence.proto.Session.flush(Session.java(Compiled Code))
	at com.arsdigita.persistence.proto.Cursor.next(Cursor.java:95)
	at com.arsdigita.persistence.proto.Session.retrieve(Session.java:56)
	at com.arsdigita.persistence.Session.retrieve(Session.java:535)
	at com.arsdigita.x.versioning.Event.getDataObject(Event.java:67)
	at
com.arsdigita.x.versioning.DataObjectChange.recordAssocEvent(DataObjectChange.java:110)
	at
com.arsdigita.x.versioning.DataObjectChange.recordEvent(DataObjectChange.java:90)
	at
com.arsdigita.x.versioning.VersioningEventProcessor$EventSwitch.onAdd(VersioningEventProcessor.java:106)
	at com.arsdigita.persistence.proto.AddEvent.dispatch(AddEvent.java:28)
	at
com.arsdigita.x.versioning.VersioningEventProcessor.write(VersioningEventProcessor.java:66)
	at com.arsdigita.persistence.proto.Session.flushInternal(Session.java(Compiled
Code))
	at com.arsdigita.persistence.proto.Session.flush(Session.java(Compiled Code))
	at com.arsdigita.persistence.proto.Cursor.next(Cursor.java:95)
	at com.arsdigita.persistence.proto.Session.retrieve(Session.java:56)
	at com.arsdigita.persistence.Session.retrieve(Session.java:535)
	at com.arsdigita.x.versioning.Event.getDataObject(Event.java:67)
	at
com.arsdigita.x.versioning.DataObjectChange.recordEvent(DataObjectChange.java:176)
	at
com.arsdigita.x.versioning.VersioningEventProcessor$EventSwitch.onCreate(VersioningEventProcessor.java:120)
	at com.arsdigita.persistence.proto.CreateEvent.dispatch(CreateEvent.java:24)
	at
com.arsdigita.x.versioning.VersioningEventProcessor.write(VersioningEventProcessor.java:66)
	at com.arsdigita.persistence.proto.Session.flushInternal(Session.java(Compiled
Code))
	at com.arsdigita.persistence.proto.Session.flush(Session.java(Compiled Code))
	at com.arsdigita.persistence.proto.Cursor.next(Cursor.java:95)
	at com.arsdigita.persistence.proto.Session.retrieve(Session.java:56)
	at com.arsdigita.persistence.Session.retrieve(Session.java:535)
	at com.arsdigita.x.versioning.Event.getDataObject(Event.java:67)
	at
com.arsdigita.x.versioning.DataObjectChange.recordEvent(DataObjectChange.java:176)
	at
com.arsdigita.x.versioning.VersioningEventProcessor$EventSwitch.onCreate(VersioningEventProcessor.java:120)
	at com.arsdigita.persistence.proto.CreateEvent.dispatch(CreateEvent.java:24)
	at
com.arsdigita.x.versioning.VersioningEventProcessor.write(VersioningEventProcessor.java:66)
	at com.arsdigita.persistence.proto.Session.flushInternal(Session.java(Compiled
Code))
	at com.arsdigita.persistence.proto.Session.flush(Session.java(Compiled Code))
	at com.arsdigita.persistence.proto.Cursor.next(Cursor.java:95)
	at com.arsdigita.persistence.DataQueryImpl.next(DataQueryImpl.java:443)
	at com.arsdigita.domain.DomainQuery.next(DomainQuery.java:84)
	at com.arsdigita.cms.ContentType.findByAssociatedObjectType(ContentType.java:331)
	at com.arsdigita.cms.ContentItem.beforeSave(ContentItem.java:367)
	at com.arsdigita.cms.ContentBundle.beforeSave(ContentBundle.java:619)
	at com.arsdigita.domain.DomainObject$SaveObserver.beforeSave(DomainObject.java:611)
	at com.arsdigita.persistence.BeforeSaveEvent.doInvoke(DataEvent.java:169)
	at com.arsdigita.persistence.DataEvent.invoke(DataEvent.java:39)
	at com.arsdigita.persistence.DataObjectImpl.fireObserver(DataObjectImpl.java:444)
	at com.arsdigita.persistence.DataEvent.fire(DataEvent.java:48)
	at com.arsdigita.persistence.Session$FlushEventProcessor.fireNow(Session.java:338)
	at com.arsdigita.persistence.DataObjectImpl.save(DataObjectImpl.java:355)
	at com.arsdigita.domain.DomainObject.save(DomainObject.java:315)
	at com.arsdigita.cms.ui.authoring.PageCreate.process(PageCreate.java:122)
	at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:449)
	at com.arsdigita.bebop.FormSection$4.process(FormSection.java:423)
	at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:478)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:345)
	at com.arsdigita.bebop.Form.process(Form.java:431)
	at com.arsdigita.bebop.MetaForm.process(MetaForm.java:164)
	at com.arsdigita.bebop.Form.respond(Form.java:276)
	at com.arsdigita.bebop.PageState.respond(PageState.java:348)
	at com.arsdigita.bebop.Page.process(Page.java:696)
	at com.arsdigita.bebop.Page.process(Page.java:678)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:267)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:71)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:275)
	at com.arsdigita.cms.dispatcher.CMSDispatcher.dispatch(CMSDispatcher.java:257)
	at
com.arsdigita.cms.dispatcher.CMSDispatcher.chainedDispatch(CMSDispatcher.java:337)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:148)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:113)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:128)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:104)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:238)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:212)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:198)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)


-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/forms/admin/index.jsp
Query string: null
Method: POST
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/home/boston/jorris/dev/lib/junit.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/resin.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc2_0-stdext.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jta-spec1_0_1.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jndi.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/dom.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/sax.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jaxp.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jmx.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/webutil.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc-mysql.jar:/opt/IBMJava2-131/lib/tools.jar:/opt/IBMJava2-131/jre/lib/rt.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /opt/IBMJava2-131/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.home: /opt/IBMJava2-131/jre
java.io.tmpdir: /tmp
java.library.path:
/opt/IBMJava2-131/jre/bin:/opt/IBMJava2-131/jre/bin/classic:/opt/apps/oracle/product/9.2.0/lib:/lib:/usr/lib:/usr/local/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory: com.icl.saxon.TransformerFactoryImpl
line.separator: 

os.arch: x86
os.name: Linux
os.version: 2.4.20-18.8
path.separator: :
PreferredXSLTTransformer: SAXON
resin.home: /home/boston/jorris/webserver/resin-2.1.4
sun.boot.class.path:
/opt/IBMJava2-131/jre/lib/rt.jar:/opt/IBMJava2-131/jre/lib/i18n.jar:/opt/IBMJava2-131/jre/classes
sun.boot.library.path: /opt/IBMJava2-131/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /home/boston/jorris/webserver/resin-2.1.4
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.region: US
user.timezone: America/New_York
-*-*-*-*-*- End Error Report -*-*-*-*-*-
Comment 1 Vadim Nasardinov 2003-07-15 17:34:10 EDT
This was fixed a long time ago.
Comment 2 David Lawrence 2006-07-17 23:51:28 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 3 Jon Orris 2006-09-05 13:52:55 EDT
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.